> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/annotation/pdf-read-only.md).

# Read only mode: disable annotations, editing & user interactions

Enable or disable various PDF editing features with ease using this comprehensive guide. Learn how to selectively enable or disable annotation creation, form filling, signing, and more. Optimize your

Actions such as annotation creation, editing, form filling, signing, and link following etc. are enabled by default. It is possible to selectively enable parts of such functionality as well as completely disable all interactive features.

## Disable PDF editing

To disable PDF editing, such as adding annotations, filling form fields or signing, use [`ToolManager.setReadOnly(boolean)`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/ToolManager.html#setReadOnly\(boolean\)).

{% tabs %}
{% tab title="Java" %}
{% code lineNumbers="true" %}

```java
toolManager.setReadOnly(true);
```

{% endcode %}
{% endtab %}

{% tab title="Kotlin" %}
{% code lineNumbers="true" %}

```kotlin
toolManager.isReadOnly = true
```

{% endcode %}
{% endtab %}
{% endtabs %}

where `toolManager` is the instance of `ToolManager`.

## Disable all user interaction

To disable all user interaction on `PDFViewCtrl`, such as selecting text, selecting annotations, do not associate a `ToolManager` with a `PDFViewCtrl`. For example, do not use `ToolManagerBuilder` to create a `ToolManager` object.

## Disable annotation creation and editing

To hide all UI widgets that are associated with creation and editing of a particular annotation type, see: [Disable annotation creation and editing ](/android/annotation/disable-annot-create-edit.md).

## Disable other functionality

To disable functionality that is not directly tied to annotations, see: [Disable functionality ](/android/annotation/disable-annot-create-edit.md#disable-functionality).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/annotation/pdf-read-only.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
